| Home | Libraries | People | FAQ | More

#### grammar::to_lower

Return c converted to lowercase.

##### Synopsis

Defined in header `<boost/url/grammar/ci_string.hpp>`

    constexpr char
    to_lower(
        char c);

##### Description

This function returns the character, converting it to lowercase if it is uppercase. The function is defined only for low-ASCII characters.

##### Example

    assert( to_lower( 'A' ) == 'a' );

##### Exception Safety

Throws nothing.

##### Return Value

The converted character

##### Parameters

Name | Description
--- | ---
`c` | The character to convert

##### See Also

`to_upper`.

Convenience header `<boost/url/grammar.hpp>`